{{getMsg('Help_YouAreHere')}}:
/
{{page.title}}
{{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}}
{{helpModel.downloadHelpPdfDataStatus}}
Events
/api/calendar/{calendarId}/events/{eventId}/reminders
Exposes stored calendar events and stages event changes until commit.
GET /api/calendar/{calendarId}/events/{eventId}/reminders
Reminder alarms.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
calendarId |
path | string |
yes | — |
eventId |
path | string |
yes | current internal event identifier |
Response
| Status | Content Type | Schema | Description |
|---|---|---|---|
200 |
application/json |
array<Reminder> |
Successful response. |
Example Request
# Request
GET /api/calendar/<calendarId>/events/<eventId>/reminders HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
# Response
HTTP/1.1 200 OK
Content-Type: application/json
[
{
"before": 0,
"description": "string",
"type": "DISPLAY"
}
]
PUT /api/calendar/{calendarId}/events/{eventId}/reminders
Reminder alarms.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
calendarId |
path | string |
yes | — |
eventId |
path | string |
yes | current internal event identifier |
Request Body
| Content Type | Schema | Required | Description |
|---|---|---|---|
application/json |
array<Reminder> |
yes |
Reminder alarms. |
Response
| Status | Content Type | Schema | Description |
|---|---|---|---|
200 |
application/json |
array<Reminder> |
Successful response. |
Example Request
# Request
PUT /api/calendar/<calendarId>/events/<eventId>/reminders HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
Content-Type: application/json
[
{
"before": 0,
"description": "string",
"type": "DISPLAY"
}
]
# Response
HTTP/1.1 200 OK
Content-Type: application/json
[
{
"before": 0,
"description": "string",
"type": "DISPLAY"
}
]
Common Error Responses
The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:
{
"status": 404,
"code": "route_not_found",
"message": "The requested API route does not exist.",
"details": []
}
Schemas
Request and response schemas used on this page.
Reminder
| Property | Type | Required | Description |
|---|---|---|---|
before |
number (int64) |
no | — |
description |
string |
no | — |
type |
string [DISPLAY, EMAIL] |
no | — |
ApiError
| Property | Type | Required | Description |
|---|---|---|---|
status |
integer (int32) |
yes | — |
code |
string |
yes | — |
message |
string |
yes | — |
details |
array<object> |
no | — |